
%global meadversion 2.0.0
%global namedversion 2.0.0.Final-redhat-1
%global meadalpha .Final_redhat_1
%global meadrel .1
%global serial 2
%global namedversionrel redhat-1

%bcond_with javadoc
%bcond_without mead

%{?scl:%scl_package %{?scl_prefix}jboss-common-beans}
%{!?scl:%global pkg_name %{name}}

%define maven_version 2.0.0.Final-redhat-1

Name:           %{?scl_prefix}jboss-common-beans
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        JBoss Common core utility classes
License:        LGPLv2+
URL:            http://www.jboss.org/
Group:          Development/Libraries/Java

%if %with mead
Source100: jboss-common-beans-2.0.0.Final-redhat-1-scm-sources.zip
Source102: jboss-common-beans-2.0.0.Final-redhat-1.jar
Source103: jboss-common-beans-2.0.0.Final-redhat-1-javadoc.jar
Source104: jboss-common-beans-2.0.0.Final-redhat-1-sources.jar
Source105: jboss-common-beans-2.0.0.Final-redhat-1-project-sources.tar.gz
Source106: jboss-common-beans-2.0.0.Final-redhat-1.pom
%endif


BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

%description
JBoss Common Beans utility classes.

%if %with javadoc
%package javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation

Requires:       jpackage-utils

%description javadoc
%{summary}.
%endif


%prep
%setup -q -n jboss-common-beans -T -b 100

%build

%install
rm -rf %{buildroot}

# jars
install -d -m 755 %{buildroot}%{_javadir}
ls %{_sourcedir}
install -p -m 644 %{_sourcedir}/jboss-common-beans-%{namedversion}.jar %{buildroot}%{_javadir}/jboss-common-beans-%{namedversion}.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do ln -sf ${jar} ${jar/-%{namedversion}/}; done)

%if %with javadoc
# javadoc
install -d -m 755 %{buildroot}%{_javadocdir}/jboss-common-beans-%{namedversion}
unzip -qq %{_sourcedir}/jboss-common-beans-%{namedversion}-javadoc.jar \
      -d %{buildroot}%{_javadocdir}/jboss-common-beans-%{namedversion}
rm -r %{buildroot}%{_javadocdir}/jboss-common-beans-%{namedversion}/META-INF
pushd %{buildroot}%{_javadocdir} 
ln -s jboss-common-beans-%{namedversion} jboss-common-beans
popd
%endif


%clean
rm -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%doc LICENSE.txt
%{_javadir}*/jboss-common-beans-%{namedversion}.jar
%{_javadir}*/jboss-common-beans.jar

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/jboss-common-beans-%{namedversion}
%{_javadocdir}/jboss-common-beans
%endif

#------------------------------------------------------
# GITHUB: git://github.com/jboss/jboss-common-beans.git
#------------------------------------------------------

%changelog
* Fri Jun 22 2018 Yong Yang <yyang@redhat.com> - 2.0.0-2.Final_redhat_1.1
- Rewrap for 7.2.0

* Thu Jun 25 2015 Permaine Cheung <pcheung@redhat.com> - 2.0.0-1.Final_redhat_1.1
- EAP 7 build

* Mon Dec 08 2014 Hui Wang <huwang@redhat.com> - 1.1.0-2.Final_redhat_2.1
- OSGI fix rebuild

* Mon Dec 08 2014 Hui Wang <huwang@redhat.com> - 1.1.0-2.Final_redhat_2.1
- OSGI fix rebuild

* Thu Feb 21 2013 Luiz George Barreiros <gbarreir@redhat.com> - 0:1.1.0-1
- Upgrade to version 1.1.0.Final

* Wed Sep 19 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.0.0-5.Final_redhat_2
- Rebuild for MD5

* Tue Sep 11 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.0.0-4.Final_redhat_2
- Rebuild

* Mon Aug 20 2012 Honza Brazdil <jbrazdil@redhat.com> - 0:1.0.0-3.Final_redhat_2
- Update pom patch for eap 6.0.1

* Mon Aug 13 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.0.0-2.Final_redhat_2.3
- Rebuild unsigned

* Fri Aug 10 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.0.0-2.Final_redhat_2.2
- Rebuild unsigned

* Thu Jul 12 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.0.0-2.Final_redhat_1.1
- Rebuild using cache signing

* Wed May 23 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.0.0-2.Final_redhat_1
- Remove javadoc JAR from SRPM and disable javadoc subpackage

* Mon May 07 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.0.0-1.Final_redhat_1
- First release
